---
lang: en
title: 'API docs: rest.restapplication.server'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.restapplication.server.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RestApplication](./rest.restapplication.md) &gt; [server](./rest.restapplication.server.md)

## RestApplication.server() method

<b>Signature:</b>

```typescript
server(server: Constructor<Server>, name?: string): Binding;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  server | <code>Constructor&lt;Server&gt;</code> |  |
|  name | <code>string</code> |  |

<b>Returns:</b>

`Binding`


